

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_flujoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_flujoDocumento]
GO
CREATE PROCEDURE [reg_doc_flujoDocumento]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[flujoDocumento] AS [flujoDocumento],
		[flujoDocumento_codigo] AS [flujoDocumento_codigo],
		[restrictivo] AS [restrictivo],
		[id_subtipoDocumento_origen] AS [id_subtipoDocumento_origen],
		[id_subtipoDocumento_destino] AS [id_subtipoDocumento_destino],
		[id_estadoTipoDocumento_origen] AS [id_estadoTipoDocumento_origen],
		[id_estadoTipoDocumento_resultado] AS [id_estadoTipoDocumento_resultado],
		[replicarItems] AS [replicarItems],
		[replicarAtributos] AS [replicarAtributos],
		[replicarItemsActividades] AS [replicarItemsActividades],
		[replicarComentario] AS [replicarComentario]
	FROM [doc_flujoDocumento]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_flujoDocumento]')) DROP VIEW [dbo].[view_doc_flujoDocumento]
GO
CREATE  VIEW [view_doc_flujoDocumento] AS
SELECT 	[doc_flujoDocumento].[id] AS [id],
		[doc_flujoDocumento].[uid] AS [uid],
		[doc_flujoDocumento].[eid] AS [eid],
		[doc_flujoDocumento].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_flujoDocumento].[id_usuario_creo] AS [id_usuario_creo],
		[doc_flujoDocumento].[fechaModificacion] AS [fechaModificacion],
		[doc_flujoDocumento].[fechaCreacion] AS [fechaCreacion],
		[doc_flujoDocumento].[active] AS [active],
		[doc_flujoDocumento].[flujoDocumento] AS [flujoDocumento],
		[doc_flujoDocumento].[flujoDocumento_codigo] AS [flujoDocumento_codigo],
		[doc_flujoDocumento].[restrictivo] AS [restrictivo],
		[doc_flujoDocumento].[id_subtipoDocumento_origen] AS [id_subtipoDocumento_origen],
[doc_subtipoDocumento_origen].[subtipoDocumento] as [doc_subtipoDocumento_origen_subtipoDocumento],
[doc_subtipoDocumento_origen].[subtipoDocumento_codigo] as [doc_subtipoDocumento_origen_subtipoDocumento_codigo],
[doc_subtipoDocumento_origen].[prefijo] as [doc_subtipoDocumento_origen_prefijo],
[doc_subtipoDocumento_origen].[consecutivo] as [doc_subtipoDocumento_origen_consecutivo],
[doc_subtipoDocumento_origen].[id_tipoDocumento] as [doc_subtipoDocumento_origen_id_tipoDocumento],
		[doc_flujoDocumento].[id_subtipoDocumento_destino] AS [id_subtipoDocumento_destino],
[doc_subtipoDocumento_destino].[subtipoDocumento] as [doc_subtipoDocumento_destino_subtipoDocumento],
[doc_subtipoDocumento_destino].[subtipoDocumento_codigo] as [doc_subtipoDocumento_destino_subtipoDocumento_codigo],
[doc_subtipoDocumento_destino].[prefijo] as [doc_subtipoDocumento_destino_prefijo],
[doc_subtipoDocumento_destino].[consecutivo] as [doc_subtipoDocumento_destino_consecutivo],
[doc_subtipoDocumento_destino].[id_tipoDocumento] as [doc_subtipoDocumento_destino_id_tipoDocumento],
		[doc_flujoDocumento].[id_estadoTipoDocumento_origen] AS [id_estadoTipoDocumento_origen],
[doc_estadoTipoDocumento_origen].[estadoTipoDocumento] as [doc_estadoTipoDocumento_origen_estadoTipoDocumento],
[doc_estadoTipoDocumento_origen].[estadoTipoDocumento_codigo] as [doc_estadoTipoDocumento_origen_estadoTipoDocumento_codigo],
[doc_estadoTipoDocumento_origen].[afectaIndicador] as [doc_estadoTipoDocumento_origen_afectaIndicador],
[doc_estadoTipoDocumento_origen].[editaDocumento] as [doc_estadoTipoDocumento_origen_editaDocumento],
[doc_estadoTipoDocumento_origen].[orden] as [doc_estadoTipoDocumento_origen_orden],
[doc_estadoTipoDocumento_origen].[puedeRegresar] as [doc_estadoTipoDocumento_origen_puedeRegresar],
[doc_estadoTipoDocumento_origen].[color] as [doc_estadoTipoDocumento_origen_color],
[doc_estadoTipoDocumento_origen].[afectaInventario] as [doc_estadoTipoDocumento_origen_afectaInventario],
[doc_estadoTipoDocumento_origen].[id_tipoDocumento] as [doc_estadoTipoDocumento_origen_id_tipoDocumento],
[doc_estadoTipoDocumento_origen].[descripcion] as [doc_estadoTipoDocumento_origen_descripcion],
		[doc_flujoDocumento].[id_estadoTipoDocumento_resultado] AS [id_estadoTipoDocumento_resultado],
[doc_estadoTipoDocumento_resultado].[estadoTipoDocumento] as [doc_estadoTipoDocumento_resultado_estadoTipoDocumento],
[doc_estadoTipoDocumento_resultado].[estadoTipoDocumento_codigo] as [doc_estadoTipoDocumento_resultado_estadoTipoDocumento_codigo],
[doc_estadoTipoDocumento_resultado].[afectaIndicador] as [doc_estadoTipoDocumento_resultado_afectaIndicador],
[doc_estadoTipoDocumento_resultado].[editaDocumento] as [doc_estadoTipoDocumento_resultado_editaDocumento],
[doc_estadoTipoDocumento_resultado].[orden] as [doc_estadoTipoDocumento_resultado_orden],
[doc_estadoTipoDocumento_resultado].[puedeRegresar] as [doc_estadoTipoDocumento_resultado_puedeRegresar],
[doc_estadoTipoDocumento_resultado].[color] as [doc_estadoTipoDocumento_resultado_color],
[doc_estadoTipoDocumento_resultado].[afectaInventario] as [doc_estadoTipoDocumento_resultado_afectaInventario],
[doc_estadoTipoDocumento_resultado].[id_tipoDocumento] as [doc_estadoTipoDocumento_resultado_id_tipoDocumento],
[doc_estadoTipoDocumento_resultado].[descripcion] as [doc_estadoTipoDocumento_resultado_descripcion],
		[doc_flujoDocumento].[replicarItems] AS [replicarItems],
		[doc_flujoDocumento].[replicarAtributos] AS [replicarAtributos],
		[doc_flujoDocumento].[replicarItemsActividades] AS [replicarItemsActividades],
		[doc_flujoDocumento].[replicarComentario] AS [replicarComentario],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_flujoDocumento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_flujoDocumento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_flujoDocumento].[id_usuario_creo]
	INNER JOIN [doc_subtipoDocumento] AS [doc_subtipoDocumento_origen] ON [doc_subtipoDocumento_origen].id=[doc_flujoDocumento].[id_subtipoDocumento_origen]
	INNER JOIN [doc_subtipoDocumento] AS [doc_subtipoDocumento_destino] ON [doc_subtipoDocumento_destino].id=[doc_flujoDocumento].[id_subtipoDocumento_destino]
	INNER JOIN [doc_estadoTipoDocumento] AS [doc_estadoTipoDocumento_origen] ON [doc_estadoTipoDocumento_origen].id=[doc_flujoDocumento].[id_estadoTipoDocumento_origen]
	INNER JOIN [doc_estadoTipoDocumento] AS [doc_estadoTipoDocumento_resultado] ON [doc_estadoTipoDocumento_resultado].id=[doc_flujoDocumento].[id_estadoTipoDocumento_resultado]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_flujoDocumento].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [doc_flujoDocumento].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_origen]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_origen]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXsubtipoDocumento_origen]
	@p_id_subtipoDocumento_origen INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_subtipoDocumento_origen]= @p_id_subtipoDocumento_origen)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_destino]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_destino]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXsubtipoDocumento_destino]
	@p_id_subtipoDocumento_destino INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_subtipoDocumento_destino]= @p_id_subtipoDocumento_destino)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_origen]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_origen]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXestadoTipoDocumento_origen]
	@p_id_estadoTipoDocumento_origen INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_estadoTipoDocumento_origen]= @p_id_estadoTipoDocumento_origen)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_resultado]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_resultado]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXestadoTipoDocumento_resultado]
	@p_id_estadoTipoDocumento_resultado INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_flujoDocumento]
	WHERE ([id_estadoTipoDocumento_resultado]= @p_id_estadoTipoDocumento_resultado)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentos]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_flujoDocumento]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_flujoDocumentos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_flujoDocumentos]
GO
CREATE PROCEDURE [lis_doc_flujoDocumentos]
	AS
BEGIN
	SELECT id AS id,
[flujoDocumento] AS [doc_flujoDocumento]
	FROM [doc_flujoDocumento]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_flujoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_flujoDocumento]
GO
CREATE PROCEDURE [upd_doc_flujoDocumento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_flujoDocumento varchar(300) = null,
		@p_flujoDocumento_codigo varchar(100) = null,
		@p_restrictivo bit = null,
		@p_id_subtipoDocumento_origen int = null,
		@p_id_subtipoDocumento_destino int = null,
		@p_id_estadoTipoDocumento_origen int = null,
		@p_id_estadoTipoDocumento_resultado int = null,
		@p_replicarItems int = null,
		@p_replicarAtributos bit = null,
		@p_replicarItemsActividades int = null,
		@p_replicarComentario int = null
AS
BEGIN
		UPDATE [doc_flujoDocumento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[flujoDocumento] = isnull(@p_flujoDocumento,[flujoDocumento]),
			[flujoDocumento_codigo] = isnull(@p_flujoDocumento_codigo,[flujoDocumento_codigo]),
			[restrictivo] = isnull(@p_restrictivo,[restrictivo]),
			[id_subtipoDocumento_origen] = isnull(@p_id_subtipoDocumento_origen,[id_subtipoDocumento_origen]),
			[id_subtipoDocumento_destino] = isnull(@p_id_subtipoDocumento_destino,[id_subtipoDocumento_destino]),
			[id_estadoTipoDocumento_origen] = isnull(@p_id_estadoTipoDocumento_origen,[id_estadoTipoDocumento_origen]),
			[id_estadoTipoDocumento_resultado] = isnull(@p_id_estadoTipoDocumento_resultado,[id_estadoTipoDocumento_resultado]),
			[replicarItems] = isnull(@p_replicarItems,[replicarItems]),
			[replicarAtributos] = isnull(@p_replicarAtributos,[replicarAtributos]),
			[replicarItemsActividades] = isnull(@p_replicarItemsActividades,[replicarItemsActividades]),
			[replicarComentario] = isnull(@p_replicarComentario,[replicarComentario])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_flujoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_flujoDocumento]
GO
CREATE PROCEDURE [ins_doc_flujoDocumento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_flujoDocumento varchar(300),
		@p_flujoDocumento_codigo varchar(100),
		@p_restrictivo bit,
		@p_id_subtipoDocumento_origen int,
		@p_id_subtipoDocumento_destino int,
		@p_id_estadoTipoDocumento_origen int,
		@p_id_estadoTipoDocumento_resultado int,
		@p_replicarItems int,
		@p_replicarAtributos bit,
		@p_replicarItemsActividades int,
		@p_replicarComentario int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_flujoDocumento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[flujoDocumento],
			[flujoDocumento_codigo],
			[restrictivo],
			[id_subtipoDocumento_origen],
			[id_subtipoDocumento_destino],
			[id_estadoTipoDocumento_origen],
			[id_estadoTipoDocumento_resultado],
			[replicarItems],
			[replicarAtributos],
			[replicarItemsActividades],
			[replicarComentario])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_flujoDocumento,
			@p_flujoDocumento_codigo,
			@p_restrictivo,
			@p_id_subtipoDocumento_origen,
			@p_id_subtipoDocumento_destino,
			@p_id_estadoTipoDocumento_origen,
			@p_id_estadoTipoDocumento_resultado,
			@p_replicarItems,
			@p_replicarAtributos,
			@p_replicarItemsActividades,
			@p_replicarComentario)
		SET @v_id = scope_identity()
UPDATE [doc_flujoDocumento] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_flujoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_flujoDocumento]
GO
CREATE PROCEDURE [act_doc_flujoDocumento]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_flujoDocumento]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_flujoDocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_flujoDocumento_m]
GO
CREATE PROCEDURE [reg_doc_flujoDocumento_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[flujoDocumento] AS [flujoDocumento],
		[flujoDocumento_codigo] AS [flujoDocumento_codigo],
		[restrictivo] AS [restrictivo],
		[id_subtipoDocumento_origen] AS [id_subtipoDocumento_origen],
		[id_subtipoDocumento_destino] AS [id_subtipoDocumento_destino],
		[id_estadoTipoDocumento_origen] AS [id_estadoTipoDocumento_origen],
		[id_estadoTipoDocumento_resultado] AS [id_estadoTipoDocumento_resultado],
		[replicarItems] AS [replicarItems],
		[replicarAtributos] AS [replicarAtributos],
		[replicarItemsActividades] AS [replicarItemsActividades],
		[replicarComentario] AS [replicarComentario]
	FROM [doc_flujoDocumento]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_origen_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_origen_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXsubtipoDocumento_origen_m]
	@p_id_subtipoDocumento_origen INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_subtipoDocumento_origen]= @p_id_subtipoDocumento_origen)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_destino_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXsubtipoDocumento_destino_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXsubtipoDocumento_destino_m]
	@p_id_subtipoDocumento_destino INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_subtipoDocumento_destino]= @p_id_subtipoDocumento_destino)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_origen_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_origen_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXestadoTipoDocumento_origen_m]
	@p_id_estadoTipoDocumento_origen INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_estadoTipoDocumento_origen]= @p_id_estadoTipoDocumento_origen)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_resultado_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentosXestadoTipoDocumento_resultado_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentosXestadoTipoDocumento_resultado_m]
	@p_id_estadoTipoDocumento_resultado INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_flujoDocumento]
	WHERE ([id_estadoTipoDocumento_resultado]= @p_id_estadoTipoDocumento_resultado)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_flujoDocumentos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_flujoDocumentos_m]
GO
CREATE PROCEDURE [sel_doc_flujoDocumentos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_flujoDocumento]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_flujoDocumentos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_flujoDocumentos_m]
GO
CREATE PROCEDURE [lis_doc_flujoDocumentos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[flujoDocumento] AS [doc_flujoDocumento]
	FROM [doc_flujoDocumento]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_flujoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_flujoDocumento]
GO
CREATE PROCEDURE [aud_doc_flujoDocumento]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_flujoDocumento].id as id_tabla,
	[doc_flujoDocumento].id_usuario_modifico as id_usuario_modifico,
	[doc_flujoDocumento].id_usuario_creo as id_usuario_creo,
	[doc_flujoDocumento].fechaModificacion as fechaModificacion,
	[doc_flujoDocumento].fechaCreacion as fechaCreacion,
	[doc_flujoDocumento].active as active,
	[doc_flujoDocumento].[flujoDocumento] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_flujoDocumento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_flujoDocumento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_flujoDocumento].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_flujoDocumento'
-----------------------------------04/02/2013 08:52:01 a.m.